Live 10 Kompatibilität mit macOS 10.15 Catalina

  • Live Versionen: ab 10.1.2.
  • Betriebssystem: macOS 10.15 Catalina

Wann erscheint macOS 10.15 Catalina?

macOS 10.15 Catalina ist ab sofort verfügbar. Es wurde am 7. Oktober 2019 veröffentlicht.

Ist Live 10 kompatibel?

Live 10.1.2 ist voll kompatibel mit Catalina. Live 10.1.1. und alle früheren Versionen von Live 10 sind nicht mit Catalina kompatibel. In den Live 10 Release Notes findest Du alle neuen Funktionen und Bugfixes der neuesten Version.

Soll ich jetzt auf Catalina aktualisieren?

Nein, wir empfehlen dringend, das Betriebssystem noch nicht auf Catalina zu aktualisieren. Obwohl Live 10.1.2 voll kompatibel ist, ist es durchaus möglich, dass einige der Plug-Ins von Drittanbietern, Hardwaretreibern und andere Softwareprogrammen von Catalina noch nicht unterstützt werden. Sobald Du die Bestätigung hast, dass alle Programme und Treiber Catalina-fähig sind, kannst Du Dich für das Update entscheiden. Beachte aber auf jeden Fall, vor dem Updaten ein Time Machine-Backup zu erstellen, damit Du bei Bedarf auf Dein vorheriges Betriebssystem zurückgreifen kannst. Achte auch darauf, nicht zu aktualisieren, wenn Du an zeitkritischen Projekten arbeitest.

Diese Artikel von CDM beschreiben detailliert, welche Auswirkungen Catalina auf Software hat:

Um CDM zu zitieren:

Was betroffen ist:

  • DAWs und andere Software, die Plug-Ins verwenden: Erfordern Updates, um zu funktionieren.
  • Treiber: Installation und Betrieb erfordern ein Update, damit sie funktionieren.
  • 32-Bit-Software, Software, die auf 32-Bit-Libraries zugreifen: Nicht kompatibel. Kann nicht nach macOS Mojave verwendet werden.
  • Software, die ältere video libraries verwendet: Nicht kompatibel. Kann nicht nach macOS Mojave verwendet werden.
  • Plug-Ins: Möglicherweise ist ein Update für die volle Kompatibilität erforderlich - kann aber auch in aktualisierten DAWs ausgeführt werden und wird installiert, wenn der Benutzer die Installer-Anforderungen des Betriebssystems außer Kraft setzt.
  • Hardware: Wenn ein Treiber für den Betrieb benötigt wird, benötigst Du  einen aktualisierten Treiber und Installer. Treiberlose (class-compliant) Audio- und MIDI-Geräte bleiben davon unberührt.

Ist Live 9 mit Catalina kompatibel?

Nein. Live 9 ist nicht kompatibel und wird aus Kompatibilitätsgründen nicht aktualisiert werden. Hier findest Du weitere Informationen: Live 9 ist nicht kompatibel mit macOS 10.15 Catalina.

Ich habe auf Catalina aktualisiert und jetzt werden einige meiner Sets nicht geladen. Was soll ich tun?

Aktualisiere auf Live 10.1.2. und versuche es dann erneut. Wenn es immer noch nicht funktioniert, ist es möglich, dass Deine Sets Plugins enthalten, die noch nicht aktualisiert wurden. Auf der Website des Herstellers findest Du Catalina-fähige Updates für diese Plugins (falls verfügbar).

Ich habe auf Catalina aktualisiert, aber meine MP3-Dateien und Videos werden in Live nicht funktionieren. Was soll ich tun?

Wenn Du eine frühere Version von Live 10 verwendest, kannst Du komprimierte Audiodateien (MP3, M4A usw.) nicht dekodieren oder mit Videos auf Catalina arbeiten. Aktualisiere in diesem Fall auf Live 10.1.2. Wir haben das veraltete Framework (QTKit) in 10.1.2 durch ein neues ersetzt (AVFoundation), wodurch das Problem gelöst wird. Hier findest Du weitere Informationen: MP3-Dekodierung, Videowiedergabe und -Export in Live 10.1.2 und höher (macOS).

Es funktioniert gar nichts mehr. Was soll ich tun?

In diesem Artikel erfährst Du, wie Du auf Dein vorheriges Betriebssystem zurücksetzen kannst. Falls weitere Probleme auftauchen, wende Dich bitte an unseren technischen Support.

Weitere Informationen

Kompatibilität mit macOS